package org.devcake.groovy.remoteconsole

/**
 * Created by IntelliJ IDEA.
 * User: Admin
 * Date: 30.08.2010
 * Time: 0:55:47
 * To change this template use File | Settings | File Templates.
 */
class EndLineFilterOutputStream extends FilterOutputStream {
    String endLineSuffix
    def previousChar

    EndLineFilterOutputStream(OutputStream out, String endLineSuffix) {
        super(out)
        this.endLineSuffix = endLineSuffix
    }

    void write(int b) {
        if (b == '\n') {
            endLineSuffix.getBytes().each{ super.write(it) }
            if (previousChar == '\r') {
                super.write((int)(char)'\r')
            }
            super.write((int)(char)'\n')
        } else {
            if (b != '\r') {
                super.write(b)
            }
            previousChar = b
        }
    }


}
