package org.devcake.groovy.remoteconsole

def port = args.size() > 0 ? args[0] as int : RemoteConsoleClient.DEFAULT_PORT
def server = new RemoteConsoleServer(port)
server.shellConfigurationFactory = new DefaultShellConfigurationFactory()
if (args.size() > 1) server.encoding = args[1]
server.start()
print "Remote Console Server started on port $port. Press Enter to stop."
System.in.read()
server.stop()
print 'Remote Console Server stopped'
