package org.devcake.groovy.remoteconsole

/**
 * Created by IntelliJ IDEA.
 * User: Admin
 * Date: 03.09.2010
 * Time: 17:28:36
 * To change this template use File | Settings | File Templates.
 */
class DefaultShellConfigurationFactory implements ShellConfigurationFactory {
    def bindings = [:]
    ShellConfiguration createShellConfiguration(Map<String, String> options) {
        def binding
        if (!options.binding) {
            return new ShellConfiguration(null, new Binding())
        } else {
            if (!bindings[options.binding]) {
                bindings[options.binding] = new Binding()
            }
            return new ShellConfiguration(null, bindings[options.binding])
        }
    }
}
